local L0_180
L0_180 = _ENV
L0_180.import("android.renderscript.Element")
L0_180.import("android.renderscript.Allocation")
L0_180.import("android.renderscript.RenderScript")
L0_180.import("android.graphics.Bitmap")
L0_180.import("android.renderscript.ScriptIntrinsicBlur")
L0_180.import("android.graphics.Matrix")
L0_180.import("android.graphics.drawable.BitmapDrawable")
L0_180.import("weiyan.template.layout")
L0_180.activity.setTheme(L0_180.android.R.style.Theme_Material_Light_NoActionBar)
L0_180.activity.setContentView(L0_180.loadlayout(L0_180.layout))
function L0_180.GaussianBlur(A0_181, A1_182, A2_183, A3_184)
  local L4_185, L5_186
  L4_185 = L0_180
  function L5_186(A0_187, A1_188, A2_189)
    local L3_190
    L3_190 = L4_185
    L3_190.renderScript = L3_190.RenderScript.create(A0_187)
    L3_190.blurScript = L3_190.ScriptIntrinsicBlur.create(L3_190.renderScript, L3_190.Element.U8_4(L3_190.renderScript))
    L3_190.inAllocation = L3_190.Allocation.createFromBitmap(L3_190.renderScript, A1_188)
    L3_190.outputBitmap = A1_188
    L3_190.outAllocation = L3_190.Allocation.createTyped(L3_190.renderScript, L3_190.inAllocation.getType())
    L3_190.blurScript.setRadius(A2_189)
    L3_190.blurScript.setInput(L3_190.inAllocation)
    L3_190.blurScript.forEach(L3_190.outAllocation)
    L3_190.outAllocation.copyTo(L3_190.outputBitmap)
    L3_190.inAllocation.destroy()
    L3_190.outAllocation.destroy()
    L3_190.renderScript.destroy()
    L3_190.blurScript.destroy()
    return L3_190.outputBitmap
  end
  
  L4_185.blur = L5_186
  function L5_186(A0_191, A1_192)
    local L2_193
    L2_193 = L4_185
    L2_193.w = A0_191.getWidth()
    L2_193.h = A0_191.getHeight()
    L2_193.matrix = L2_193.Matrix()
    L2_193.matrix.postScale(A1_192, A1_192)
    A0_191 = L2_193.Bitmap.createBitmap(A0_191, 0, 0, L2_193.w, L2_193.h, L2_193.matrix, true)
    return A0_191
  end
  
  L4_185.zoomBitmap = L5_186
  function L5_186(A0_194, A1_195, A2_196, A3_197)
    local L4_198
    L4_198 = L4_185
    return L4_198.zoomBitmap(L4_198.blur(A0_194, L4_198.zoomBitmap(A1_195, 1 / A3_197), A2_196), A3_197)
  end
  
  L4_185.blurAndZoom = L5_186
  L5_186 = A0_181.setBackgroundDrawable
  L5_186(L4_185.BitmapDrawable((L4_185.blurAndZoom(L4_185.activity, A1_182, A2_183, A3_184))))
end

L0_180.GaussianBlur(L0_180.bj, L0_180.loadbitmap("weiyan/bj.png"), 15, 5)
L0_180.import("android.graphics.*")
L0_180.Title.getPaint().setFakeBoldText(true)
function L0_180.CircleButton(A0_199, A1_200, A2_201)
  local L3_202
  L3_202 = L0_180
  L3_202.import("android.graphics.drawable.GradientDrawable")
  L3_202.drawable = L3_202.GradientDrawable()
  L3_202.drawable.setShape(L3_202.GradientDrawable.RECTANGLE)
  L3_202.drawable.setColor(A1_200)
  L3_202.drawable.setCornerRadii({
    A2_201,
    A2_201,
    A2_201,
    A2_201,
    A2_201,
    A2_201,
    A2_201,
    A2_201
  })
  A0_199.setBackgroundDrawable(L3_202.drawable)
end

L0_180.CircleButton(L0_180.Card, 1073741823, 30)
L0_180.CircleButton(L0_180.km, 16777215, 30)
L0_180.CircleButton(L0_180.kmdismiss, 16777215, 30)
L0_180.CircleButton(L0_180.login, 16777215, 30)
L0_180.CircleButton(L0_180.kmBj, 1073741823, 30)
L0_180.CircleButton(L0_180.jbBj, 1073741823, 30)
L0_180.CircleButton(L0_180.loginBj, 1073741823, 30)
